# CUpti_ActivityOverhead Struct Reference
[CUPTI Activity API]

The activity record for CUPTI and driver overheads. More...

## Data Fields
uint64_t | end
CUpti_ActivityKind | kind
CUpti_ActivityObjectKindId | objectId
CUpti_ActivityObjectKind | objectKind
CUpti_ActivityOverheadKind | overheadKind
uint64_t | start

## Detailed Description

This activity record provides CUPTI and driver overhead information (CUPTI_ACTIVITY_OVERHEAD).

## Field Documentation

uint64_t CUpti_ActivityOverhead::end

The end timestamp for the overhead, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the overhead.

CUpti_ActivityKind CUpti_ActivityOverhead::kind

The activity record kind, must be CUPTI_ACTIVITY_OVERHEAD.

CUpti_ActivityObjectKindId CUpti_ActivityOverhead::objectId

The identifier for the activity object. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityOverhead::objectKind

The kind of activity object that the overhead is associated with.

CUpti_ActivityOverheadKind CUpti_ActivityOverhead::overheadKind

The kind of overhead, CUPTI, DRIVER, COMPILER etc.

uint64_t CUpti_ActivityOverhead::start

The start timestamp for the overhead, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the overhead.